microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Cancel an agent invocation
POST
/agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel
Cancels an invocation. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
경로 매개 변수
agent_name
string
필수
The name of the agent.
invocation_id
string
필수
The unique identifier of the invocation to cancel.
헤더 매개 변수
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
요청 본문
Optional request body.
Content-Type: */*
응답
The request has succeeded.
헤더
x-agent-session-id
string
필수
Session ID for this invocation. Returns the session ID associated with the invocation.
본문
Content-Type: */*
요청
POST /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel HTTP/1.1
응답
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json